Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.admin.jspbeans
Class PortalJspBean

    java.lang.Object
      |
      +--com.beasys.portal.admin.jspbeans.JspBeanBase
            |
            +--com.beasys.portal.admin.jspbeans.PortalJspBean

Direct Known Subclasses:
  PortletJspBean

public class PortalJspBean
extends JspBeanBase
implements Portal

The class for all JSP Beans that are instantiated from the <jsp:usebean> JSP tag using a Portal object.

See Also:
  Serialized Form

Field Summary
`protected int` | `contentColumnCount` An HTTP request mapping attribute.
`protected java.lang.String` | `contentColumnCountStr` An HTTP request mapping attribute.
`protected java.lang.String` | `contentURL` An HTTP request mapping attribute.
`protected java.lang.String` | `editURL` An HTTP request mapping attribute.
`protected java.lang.String` | `footerURL` An HTTP request mapping attribute.
`protected java.lang.String` | `headerURL` An HTTP request mapping attribute.
`protected boolean` | `isEditable` An HTTP request mapping attribute.
`protected java.lang.String` | `name` An HTTP request mapping attribute.
`protected boolean` | `suspended` An HTTP request mapping attribute.
`protected java.lang.String` | `suspendedURL` An HTTP request mapping attribute.

Fields inherited from class com.beasys.portal.admin.jspbeans.JspBeanBase
`DEFAULT_CATEGORY`

Constructor Summary
`PortalJspBean()` Creates a new instance.

Method Summary
`int` | `getContentColumnCount()` Gets the content column count.
`java.lang.String` | `getContentColumnCountStr()` Gets the content column count as a string.
`java.lang.String` | `getContentURL()` Gets the content URL.
`java.lang.String` | `getFooterURL()` Gets the footer URL.
`java.lang.String` | `getHeaderURL()` Gets the header URL.
`java.lang.String` | `getName()` Gets the portal name.
`java.lang.String` | `getSuspendedURL()` Returns the suspended URL.
`boolean` | `isSuspended()` Returns the suspended state.
`void` | `setContentColumnCount(int contentColumnCount)` Sets the content column count.
`void` | `setContentColumnCountStr(java.lang.String contentColumnCountStr)` Sets the content column count as a String.
`void` | `setContentURL(java.lang.String contentURL)` Sets the content URL.
`void` | `setFooterURL(java.lang.String footerURL)` Sets the footer URL.
`void` | `setHeaderURL(java.lang.String headerURL)` Sets the header URL.
`void` | `setName(java.lang.String name)` Sets the portal name.
`void` | `setSuspended(boolean aBool)` Returns the suspended state.
`void` | `setSuspendedURL(java.lang.String aURL)` Sets the suspended URL.
`java.lang.String` | `validate()` Validates the attributes of this bean.

Methods inherited from class com.beasys.portal.admin.jspbeans.JspBeanBase
`findStringInArray, hasSpecialHTMLChars, isStringLetterOrDigit, validateDoubleValue, validateDoubleValue, validateGroupName, validateIntValue, validateIntValue, validateLength, validateUserName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### headerURL

    protected java.lang.String headerURL

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### contentURL

    protected java.lang.String contentURL

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### footerURL

    protected java.lang.String footerURL

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### editURL

    protected java.lang.String editURL

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### isEditable

    protected boolean isEditable

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### name

    protected java.lang.String name

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### contentColumnCount

    protected int contentColumnCount

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### contentColumnCountStr

    protected java.lang.String contentColumnCountStr

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### suspended

    protected boolean suspended

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

### suspendedURL

    protected java.lang.String suspendedURL

  An HTTP request mapping attribute. This attribute is contained in the HTTP request for the JSP page associated with this <jsp:usebean>.

Constructor Detail

### PortalJspBean

    public PortalJspBean()

  Creates a new instance.

Method Detail

### getName

    public java.lang.String getName()

  Gets the portal name.
  Specified by:
    getName in interface Portal
  Returns:
    The name of the portal.

### setName

    public void setName(java.lang.String name)

  Sets the portal name.
  Specified by:
    setName in interface Portal
  Parameters:
    `name` - The portal name.

### getHeaderURL

    public java.lang.String getHeaderURL()

  Gets the header URL.
  Specified by:
    getHeaderURL in interface Portal
  Returns:
    String - The header URL.

### setHeaderURL

    public void setHeaderURL(java.lang.String headerURL)

  Sets the header URL.
  Specified by:
    setHeaderURL in interface Portal
  Parameters:
    `headerURL` - The header URL.

### getFooterURL

    public java.lang.String getFooterURL()

  Gets the footer URL.
  Specified by:
    getFooterURL in interface Portal
  Returns:
    String - The footer URL.

### setFooterURL

    public void setFooterURL(java.lang.String footerURL)

  Sets the footer URL.
  Specified by:
    setFooterURL in interface Portal
  Parameters:
    `footerURL` - The footer URL.

### getContentURL

    public java.lang.String getContentURL()

  Gets the content URL.
  Specified by:
    getContentURL in interface Portal
  Returns:
    String - The content URL.

### setContentURL

    public void setContentURL(java.lang.String contentURL)

  Sets the content URL.
  Specified by:
    setContentURL in interface Portal
  Parameters:
    `contentURL` - The content URL.

### getContentColumnCount

    public int getContentColumnCount()

  Gets the content column count.
  Specified by:
    getContentColumnCount in interface Portal
  Returns:
    int -The content column count.

### getContentColumnCountStr

    public java.lang.String getContentColumnCountStr()

  Gets the content column count as a string.
  Returns:
    int -The content column count.

### setContentColumnCount

    public void setContentColumnCount(int contentColumnCount)

  Sets the content column count.
  Specified by:
    setContentColumnCount in interface Portal
  Parameters:
    `contentColumnCount` - The content column count.

### setContentColumnCountStr

    public void setContentColumnCountStr(java.lang.String contentColumnCountStr)

  Sets the content column count as a String. If the string is a valid integer, then this method in turn sets the contentColumnCount as an integer. All this hoopla is needed to avoid number format exceptions being thrown by the <jsp:setProperty> JSP tag.
  Parameters:
    `contentColumnCountStr` - The content column count as a string.

### isSuspended

    public boolean isSuspended()

  Returns the suspended state.
  Specified by:
    isSuspended in interface Portal
  Returns:
    boolean - true if suspended, false if not.

### setSuspended

    public void setSuspended(boolean aBool)

  Returns the suspended state. Suspending a portal allows the Portal Developer to make portal changes on a live portal site. When in the suspended mode, the suspended URL page is used instead of the main portal page (portal.jsp). This static page displays a 'doing maintenance' message to the user.
  Specified by:
    setSuspended in interface Portal
  Parameters:
    `aBool` - True if you want to suspend service for the portal, false if it is active.

### getSuspendedURL

    public java.lang.String getSuspendedURL()

  Returns the suspended URL.
  Specified by:
    getSuspendedURL in interface Portal
  Returns:
    String - The suspended URL.

### setSuspendedURL

    public void setSuspendedURL(java.lang.String aURL)

  Sets the suspended URL.
  Specified by:
    setSuspendedURL in interface Portal
  Parameters:
    `aURL` - The suspended URL.

### validate

    public java.lang.String validate()

  Validates the attributes of this bean.
  Returns:
    String - An error string if an error, else it returns null if sucessful.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved